4. Command line options
Prev |  |

## 4. Command line options

    translatexxe [-v] [-l two_letter_language_code] [-e message_file_encoding]
      [-a author_of_the_translation]

        -m out_message_file [in_jar_file]
    OR
        -j out_jar_file in_message_file
    OR
        -p target_addon_directory in_jar_file

- Use "`-m out_message_file`" to create a text file containing XXE messages to be translated.

- If you have already translated XXE messages, say to Italian, and want to update your translation, use "`-m out_message_file my_italian_messages.jar`".

- If the code of XXE has been heavily reorganized (e.g. after a major upgrade), use "`-ms`" (make suggestions) rather than plain "`-m`". Example: "`-ms out_message_file my_italian_messages.jar`".

- Use "`-j out_jar_file in_message_file`" to convert your message file "`in_message_file`" to an easy-to-deploy message jar "`out_jar_file`".

- After using option "`-j`" to test your message jar, you may want to use "`-p target_addon_directory in_jar_file`" to package the message jar as a `.xxe_addon` file and a `.zip` file for use by XXE add-on manager.

  `Target_addon_directory` specifies the directory where ready-to-download ``LL`_translation.xxe_addon` and ``LL`_translation.zip` are created.

  You may want to use option "`-a`" in conjunction with this "`-p`" option.

- In all cases, "`-e message_file_encoding`" may be used to specify the encoding of the input or output message file.

  By default, it is the native encoding of the platform (e.g. "`windows-1252`").

- Use "`-l two_letter_language_code`" to specify the target language of your translation of XXE messages.

  By default, this language is inferred from the basename of the message jar file. Example: "`-j it.jar msg.txt`" implies that you have translated XXE messages to Italian.

- "-v" turns verbosity on. This option is useful because it prints the number of English messages, the number of translated messages and the number of resources files containing these messages.

Prev |  |
3. Procedure | Home |